#pragma once


// CFileExistsDlg 대화 상자입니다.

class CFileExistsDlg : public CDialog
{
	DECLARE_DYNAMIC(CFileExistsDlg)

public:
	CFileExistsDlg(CWnd* pParent = NULL);   // 표준 생성자입니다.
	virtual ~CFileExistsDlg();

// 대화 상자 데이터입니다.
	enum { IDD = IDD_FILE_EXISTS };
	CStatic	m_stcIcon1;
	CStatic	m_stcIcon2;
	CString m_sFile1;
	CString m_sSize1;
	CString m_sTime1;
	CString m_sFile2;
	CString m_sSize2;
	CString m_sTime2;
	int m_nSelectedAction;
	BOOL m_bAlways;

public:
	BOOL m_bDownload;

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV 지원입니다.

	DECLARE_MESSAGE_MAP()
public:
	virtual BOOL OnInitDialog();
	afx_msg void OnDestroy();
	afx_msg void OnClose();
};


#define FILEEXISTS_OVERWRITE 1
#define FILEEXISTS_RESUME    2
#define FILEEXISTS_RENAME    3
#define FILEEXISTS_SKIP      4
#define FILEEXISTS_UPDATE    5